Subject: bug#1340: M-x shell-command sudo

From: David Reitter <[email-masked]>
Date: Thu, 13 Nov 2008 15:02:25 -0500

M-x shell-command RET sudo touch /test RET

will show sudo's password prompt in the echo area which looks like a  
minibuffer prompt.

I think that the password prompt might be taken just as output, and  
the process is considered as terminated (and perhaps it does, given  
that it is not run in an interactive shell).

So I think shell-command behaves correctly, but it doesn't do what I  
intended as a user.  Perhaps some sort of "sudo-shell-command" would  
be useful for a situation like mine, or a command that will execute  
the following Emacs command as super-user.